Name: aterm
Version: 0.4.2
Release: alt6

Summary: An rxvt-based terminal emulator for X Window System
Summary(ru_RU.KOI8-R):     X Window,   rxvt
License: GPL
Group: Terminals
Url: %name.sourceforge.net/

Source: http://download.sourceforge.net/%name/%name-%version.tar.bz2
Source1: %name-16.xpm
Source2: %name-32.xpm
Source3: %name-48.xpm
Source4: %name.menu

Patch1: %name-0.4.2-alt-cutchars.patch
Patch2: %name-0.4.2-alt-utempter.patch
Patch3: %name-0.4.2-alt-pw_shell.patch
Patch4: %name-0.4.2-alt-manpage.patch
Patch5: %name-0.4.2-deb-linux_keys.patch
Patch6: %name-0.4.2-deb-xdefaults.patch

Provides: xvt, %_x11bindir/xvt
PreReq: libutempter
Requires(post,preun): /usr/sbin/update-alternatives

# Automatically added by buildreq on Tue Dec 24 2002
BuildRequires: XFree86-devel XFree86-libs XFree86-locales libjpeg-devel libpng-devel libutempter-devel xpm-devel zlib-devel

%description
Aterm is a colour vt102 terminal emulator based on rxvt 2.4.8 with add ons
of Alfredo Kojima's NeXT-ish scrollbars, intended as an xterm replacement
for users who do not require features such as Tektronix 4014 emulation and
toolkit style configurability.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

find doc -type f -print0 |
	xargs -r0 chmod a-x --

%build
pushd autoconf
	autoconf && cp -p configure ../
popd
%configure \
	--bindir=%_x11bindir \
	--mandir=%_x11mandir \
	--enable-background-image \
	--enable-fading \
	--enable-menubar \
	--enable-half-shadow \
	--enable-xgetdefault \
	--with-term=rxvt
%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT

install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_miconsdir/%name.xpm
install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
install -pD -m644 %SOURCE3 $RPM_BUILD_ROOT%_liconsdir/%name.xpm
install -pD -m644 %SOURCE4 $RPM_BUILD_ROOT%_menudir/%name

%post
/usr/sbin/update-alternatives --install %_x11bindir/xvt xvt %_x11bindir/%name 50
%update_menus

%preun
if [ "$1" = 0 ]; then
	/usr/sbin/update-alternatives --remove xvt %_x11bindir/%name
fi

%postun
%clean_menus

%files
%attr(2711,root,utempter) %_x11bindir/%name
%_x11mandir/man?/*
%_menudir/*
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%doc %name.lsm doc/{BUGS,FAQ,README.menu,TODO,etc,menu,atermRef.html}

%changelog
* Tue Dec 24 2002 Dmitry V. Levin <ldv@altlinux.org> 0.4.2-alt6
- Rebuilt with libutempter-1.1.0.

* Thu Nov 21 2002 Dmitry V. Levin <ldv@altlinux.org> 0.4.2-alt5
- Fixed %%preun script.
- Fixed manpage.
- Build --with-term=rxvt.
- Merged debian patches:
  + Comment out LINUX_KEYS, this fixes Home/End for TERM=rxvt.
  + Bind specific X resources before global resources.

* Wed Jun 12 2002 Dmitry V. Levin <ldv@altlinux.org> 0.4.2-alt4
- Honor pw_shell when choosing shell.

* Fri Jan 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.4.2-alt3
- Rebuilt --with-term=xterm.

* Sun Jan 06 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.4.2-alt2
- Relocated to %_x11dir.
- Added utempter support.
- Added alternative for xvt (priority=50).
- Added menu entry.
- Enabled: background pixmaps, menubar, colours fading,
  half width/height shadows, xgetdefault.
- Changed default cutchars set.
- Added some docs.
- Added xvt to provides list.

* Fri Jan 04 2002 Rider <rider@altlinux.ru> 0.4.2-alt1
- 0.4.2

* Fri Jan 05 2001 AEN <aen@logic.ru>
- adopted for RE
- locale patch

* Tue Nov 28 2000 David BAUDENS <baudens@mandrakesoft.com> 0.4.0-4mdk
- Make rpmlint happy

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.0-3mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4.0-2mdk
- rebuild fro the BM

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- new release
- add URL
- use new macros

* Thu Apr 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-2mdk
- fix group
- fix sources permissions

* Tue Aug 24 1999 Daouda LO <daouda@mandrakesoft.com>
- Alfredo Kojima's additions of fast transparency
